Shell
curl --compressed "https://api.coinmetrics.io/v4/catalog-v2/protocol-metrics?pretty=true&api_key=<your_key>"import requests
response = requests.get('https://api.coinmetrics.io/v4/catalog-v2/protocol-metrics?pretty=true&api_key=<your_key>').json()
print(response)
const options = {method: 'GET'};
fetch('https://api.coinmetrics.io/v4/catalog-v2/protocol-metrics?api_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coinmetrics.io/v4/catalog-v2/protocol-metrics?api_key=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coinmetrics.io/v4/catalog-v2/protocol-metrics?api_key="
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coinmetrics.io/v4/catalog-v2/protocol-metrics?api_key=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coinmetrics.io/v4/catalog-v2/protocol-metrics?api_key=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"protocol": "aave_v3",
"market": "core-weth",
"chain": "ethereum",
"metrics": [
{
"metric": "supply_apy",
"frequencies": [
{
"frequency": "1m",
"min_time": "2026-06-12T00:00:00.000000000Z",
"max_time": "2026-06-12T00:01:00.000000000Z"
},
{
"frequency": "1d",
"min_time": "2026-06-12T00:00:00.000000000Z",
"max_time": "2026-06-13T00:00:00.000000000Z"
}
]
},
{
"metric": "utilization_rate",
"frequencies": [
{
"frequency": "1d",
"min_time": "2026-06-12T00:00:00.000000000Z",
"max_time": "2026-06-13T00:00:00.000000000Z"
}
]
}
]
}
],
"next_page_token": "bW9ycGhvX2JsdWUtc3RlYWt1c2RjLWV0aGVyZXVt",
"next_page_url": "https://api.coinmetrics.io/v4/catalog-v2/protocol-metrics?api_key=<your_key>&page_size=1&next_page_token=bW9ycGhvX2JsdWUtc3RlYWt1c2RjLWV0aGVyZXVt"
}Catalog v2
Available protocol metrics
Returns a list of available protocol markets along with the chains and metrics available for each.
GET
/
catalog-v2
/
protocol-metrics
Shell
curl --compressed "https://api.coinmetrics.io/v4/catalog-v2/protocol-metrics?pretty=true&api_key=<your_key>"import requests
response = requests.get('https://api.coinmetrics.io/v4/catalog-v2/protocol-metrics?pretty=true&api_key=<your_key>').json()
print(response)
const options = {method: 'GET'};
fetch('https://api.coinmetrics.io/v4/catalog-v2/protocol-metrics?api_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coinmetrics.io/v4/catalog-v2/protocol-metrics?api_key=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coinmetrics.io/v4/catalog-v2/protocol-metrics?api_key="
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coinmetrics.io/v4/catalog-v2/protocol-metrics?api_key=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coinmetrics.io/v4/catalog-v2/protocol-metrics?api_key=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"protocol": "aave_v3",
"market": "core-weth",
"chain": "ethereum",
"metrics": [
{
"metric": "supply_apy",
"frequencies": [
{
"frequency": "1m",
"min_time": "2026-06-12T00:00:00.000000000Z",
"max_time": "2026-06-12T00:01:00.000000000Z"
},
{
"frequency": "1d",
"min_time": "2026-06-12T00:00:00.000000000Z",
"max_time": "2026-06-13T00:00:00.000000000Z"
}
]
},
{
"metric": "utilization_rate",
"frequencies": [
{
"frequency": "1d",
"min_time": "2026-06-12T00:00:00.000000000Z",
"max_time": "2026-06-13T00:00:00.000000000Z"
}
]
}
]
}
],
"next_page_token": "bW9ycGhvX2JsdWUtc3RlYWt1c2RjLWV0aGVyZXVt",
"next_page_url": "https://api.coinmetrics.io/v4/catalog-v2/protocol-metrics?api_key=<your_key>&page_size=1&next_page_token=bW9ycGhvX2JsdWUtc3RlYWt1c2RjLWV0aGVyZXVt"
}Authorizations
Query Parameters
Response
List of available protocol metrics with time ranges per metric and frequency.

